Bug 170474 - Just looking for the xscreensaver-4.21-4 RPM
Just looking for the xscreensaver-4.21-4 RPM
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
4
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-11 21:36 EDT by Amin Adatia
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-25 06:48:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amin Adatia 2005-10-11 21:36:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I am trying to get the rpm for xscreensaver-4.21-4 OR a method for converting the src.rpm

I am completely new to linux internals or the working except that it is an OS I need to use. Any help will be greatly appreciated.

Regards

Amin Adatia (amin@knowtech.ca)

Version-Release number of selected component (if applicable):
xscreensaver-4.21-4

How reproducible:
Didn't try


Additional info:
Comment 1 Ray Strode [halfline] 2005-10-12 10:45:37 EDT
why do you want that particular version?

you can rebuild using 

rpmbuild --rebuild xscreensaver-4.21-4.src.rpm
Comment 2 Amin Adatia 2005-10-12 11:07:58 EDT
I need actually any version equal or higher than 4.18.5 since that is a minimum 
requirement for Oracle Application Server.
Comment 3 Ray Strode [halfline] 2005-10-12 16:42:20 EDT
that version comes with fc4 already built.  

yum install xscreensaver-base

(and optionally)

yum install xscreensaver-extras xscreensaver-gl-extras

should give you what you want
Comment 4 Amin Adatia 2005-10-12 21:14:25 EDT
[root@kts01 RPM]# uname -r
2.6.13-1.1526_FC4

[root@kts01 RPM]# yum install xscreensaver-base

Setting up Install Process

Setting up repositories

Cannot find a valid baseurl for repo: updates-released

Error: Cannot find a valid baseurl for repo: updates-released


[root@kts01 RPM]# yum install xscreensaver-base-4.21-4.i386.rpm

Setting up Install Process

Setting up repositories

Cannot find a valid baseurl for repo: updates-released

Error: Cannot find a valid baseurl for repo: updates-released


[root@kts01 RPM]# yum install xscreensaver-extras-4.21-4.i386.rpm
xscreensaver-gl-extras-4.21-4.i386.rpm

Setting up Install Process

Setting up repositories

Cannot find a valid baseurl for repo: updates-released

Error: Cannot find a valid baseurl for repo: updates-released


Comment 5 Amin Adatia 2005-10-12 21:46:17 EDT
The following are the results of the pre-install check for Oracle Application server
============
Checking operating system certification
Expected result: One of redhat-2.1,redhat-3,redhat-4,SuSE-9,SuSE-8,UnitedLinux-1.0
Actual Result: redhat-4
Check complete. The overall result of this check is: Passed
=======================================================================

Checking security kernel parameters
Checking for shmall=2097152; found shmall=2097152.	            Passed
Checking for msgmnb=65535; found msgmnb=65535.	                    Passed
Checking for semmns=32000; found semmns=32000.	                    Passed
Checking for semopm=100; found semopm=100.	                    Passed
Checking for msgmni=2878; found msgmni=2878.	                    Passed
Checking for shmmax=4294967295; found shmmax=4294967295.	    Passed
Checking for hardnofiles=1024; found hardnofiles=65536.	            Passed
Checking for VERSION=2.6.9-11.EL; found VERSION=2.6.13-1.1526_FC4.  Passed
Checking for file-max=206173; found file-max=206173.	            Passed
Checking for semmsl=256; found semmsl=256.	                    Passed
Checking for semmni=142; found semmni=142.	                    Passed
Checking for msgmax=8192; found msgmax=8192.	                    Passed
Checking for shmmni=4096; found shmmni=4096.	                    Passed
Checking for softnofiles=1024; found softnofiles=65536.	            Passed
Check complete. The overall result of this check is:                Passed
=======================================================================

Checking recommended operating system packages
Checking for gcc-3.4.3-22.1; found gcc-4.0.1-4.fc4.	                  Passed
Checking for gcc-c++-3.4.3-22.1; found gcc-c++-4.0.1-4.fc4.	          Passed
Checking for openmotif21-2.1.30-11.RHEL4.4; found openmotif21-2.1.30-14.  Passed
Checking for setarch-1.6-1; found setarch-1.8-1.FC4.	                  Passed

Checking for pdksh-5.2.14-30; found Not found.	Failed <<<<

Checking for sysstat-5.0.5-1; found sysstat-5.0.5-9.fc.	                       
Passed
Checking for gnome-libs-1:1.4.1.2.90-44.1; found gnome-libs-1:1.4.1.2.90-46.	Passed
Checking for libstdc++-3.4.3-22.1; found libstdc++-4.0.1-4.fc4.	               
Passed
Checking for libstdc++-devel-3.4.3-22.1; found libstdc++-devel-4.0.1-4.fc4.	Passed

Checking for compat-libstdc++-296-2.96-132.7.2; found
compat-libstdc++-296-2.96-132.fc4.  Failed <<<<

Checking for compat-db-4.1.25-9; found compat-db-4.2.52-2.	        Passed
Checking for control-center-2.8.0-12; found control-center-1:2.10.1-6.	Passed
Checking for glibc-common-2.3.4-2.9; found glibc-common-2.3.5-10.3.	Passed
Checking for binutils-2.15.92.0.2-13; found binutils-2.15.94.0.2.2-2.1.	Passed
Checking for make-1:3.80-5; found make-1:3.80-7.	                Passed

Checking for xscreensaver-4.18-5.rhel4.2; found Not found.	Failed <<<<

Check complete. The overall result of this check is: Failed <<<<

Problem: Some recommended packages are missing (see above).
Recommendation: You may actually have installed packages which have obsoleted
these, in which case you can successfully continue with the install. If you have
not, it is recommended that you do not continue.
Refer to the readme to find out how to get the missing packages.
=======================================================================

Checking glibc installed on the system
Expected result: 2.3.4-2.9
Actual Result: 2.3.5-10.3
Check complete. The overall result of this check is: Passed
=======================================================================

Validating ORACLE_BASE location (if set)
Check complete. The overall result of this check is: Passed
=======================================================================
Comment 6 Amin Adatia 2005-10-13 21:03:05 EDT
Where can the following be obtained ...

pdksh-5.2.14-30

and ofcourse the xscreensaver -- which the rpmbuild --rebuild did not seem to do
anything 
Comment 7 John Mahowald 2005-10-13 21:14:49 EDT
Notice that's looking for a RHEL xscreensaver, Fedora's version is newer at 4.21.

This is not a support channel, please the resources linked from here:
https://bugzilla.redhat.com/bugzilla/
Comment 8 Amin Adatia 2005-10-13 21:45:19 EDT
But I can not even get the 4.21 version installed on FC4 even starting from 
the src.rpm

The other xscreensaver packages install fine. So what is the problem with the 
xscreensaver itself that it does not find the appropriate internals?

And a webwide search for pdksh results in zero hits.
Comment 9 Mamoru TASAKA 2006-09-25 06:48:34 EDT
Closing as WORKSFORME.

Note You need to log in before you can comment on or make changes to this bug.